<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="end">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      Settings
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-item>
        <ion-label>Subreddit</ion-label>
        <ion-select interface="popover" [(ngModel)]="settings.subreddit">
          <ion-select-option value="food">Food</ion-select-option>
          <ion-select-option value="music">Music</ion-select-option>
          <ion-select-option value="gaming">Gaming</ion-select-option>
        </ion-select>
      </ion-item>

      <div>
        <ion-button color="primary" expand="full" (click)="saveSettings()">
          <ion-label>Update</ion-label>
        </ion-button>
      </div>
</ion-content>